GNU bug report logs - #8444
Update: Re: Updated patches: Re: bug#8441: Patches making libtool-2.4-1 build under GNU/Hurd

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: libtool; Reported by: srs@HIDDEN; merged with #8441, #8443; dated Fri, 8 Apr 2011 14:39:03 UTC; Maintainer for libtool is bug-libtool@HIDDEN.
Merged 8441 8443 8444. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Apr 2011 16:16:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 08 12:16:25 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Q8EMC-0003s9-HQ
	for submit <at> debbugs.gnu.org; Fri, 08 Apr 2011 12:16:24 -0400
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <kurt@HIDDEN>) id 1Q8EC0-0003c5-Cy
	for submit <at> debbugs.gnu.org; Fri, 08 Apr 2011 12:05:52 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <kurt@HIDDEN>) id 1Q8EBu-0002MP-9Q
	for submit <at> debbugs.gnu.org; Fri, 08 Apr 2011 12:05:47 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_NONE
	autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([199.232.76.165]:39237)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <kurt@HIDDEN>) id 1Q8EBt-0002MH-UO
	for submit <at> debbugs.gnu.org; Fri, 08 Apr 2011 12:05:46 -0400
Received: from [140.186.70.92] (port=56207 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1Q8EBr-0006sx-0e
	for bug-libtool@HIDDEN; Fri, 08 Apr 2011 12:05:44 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <kurt@HIDDEN>) id 1Q8EBp-0002Kz-IG
	for bug-libtool@HIDDEN; Fri, 08 Apr 2011 12:05:42 -0400
Received: from brigitte.telenet-ops.be ([195.130.137.66]:59701)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <kurt@HIDDEN>) id 1Q8EBp-0002KL-7v
	for bug-libtool@HIDDEN; Fri, 08 Apr 2011 12:05:41 -0400
Received: from intrepid.roeckx.be ([94.227.67.183])
	by brigitte.telenet-ops.be with bizsmtp
	id V45c1g0043xEdgm0G45ccn; Fri, 08 Apr 2011 18:05:36 +0200
Received: by intrepid.roeckx.be (Postfix, from userid 1000)
	id 7EA6BEC6E5; Fri,  8 Apr 2011 18:05:35 +0200 (CEST)
Date: Fri, 8 Apr 2011 18:05:34 +0200
From: Kurt Roeckx <kurt@HIDDEN>
To: Svante Signell <srs@HIDDEN>
Subject: Re: Update: Re: Updated patches: Re: bug#8441: Patches making
	libtool-2.4-1 build under GNU/Hurd
Message-ID: <20110408160534.GA32440@HIDDEN>
References: <1302193460.32453.172.camel@HIDDEN>
	<20110407180632.GB30379@HIDDEN>
	<1302200455.32453.184.camel@HIDDEN>
	<20110407182433.GC30379@HIDDEN>
	<1302246116.26044.12.camel@HIDDEN>
	<1302273468.32453.206.camel@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <1302273468.32453.206.camel@HIDDEN>
User-Agent: Mutt/1.5.20 (2009-06-14)
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-Received-From: 199.232.76.165
X-Spam-Score: -4.6 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 08 Apr 2011 12:16:24 -0400
Cc: Ralf Wildenhues <Ralf.Wildenhues@HIDDEN>, bug-libtool@HIDDEN,
	8441 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.3 (-----)

On Fri, Apr 08, 2011 at 04:37:48PM +0200, Svante Signell wrote:
> 
> I was wrong about the cmdline_wrap.at build failure, supplied in
> disable_cmdline_wrap4hurd.patch. Without the patch libtool built fine:
> The test 112 (and 106) failures was fixed by the updated
> link_all_deplibs.patch. Sorry about that, but building (and especially
> testing) libtool takes a very long time for each patch change in my qemu
> VM.

That test basicly reruns all, or most, of the other tests again,
so if any of those failed, that test will also fail.


Kurt





Information forwarded to owner <at> debbugs.gnu.org, bug-libtool@HIDDEN:
bug#8444; Package libtool. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Apr 2011 14:38:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 08 10:38:28 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Q8CpQ-0001ei-0c
	for submit <at> debbugs.gnu.org; Fri, 08 Apr 2011 10:38:28 -0400
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <srs@HIDDEN>) id 1Q8CpO-0001eX-H2
	for submit <at> debbugs.gnu.org; Fri, 08 Apr 2011 10:38:26 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <srs@HIDDEN>) id 1Q8CpH-0007iP-DQ
	for submit <at> debbugs.gnu.org; Fri, 08 Apr 2011 10:38:21 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-4.2 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_MED,
	T_RP_MATCHES_RCVD autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([199.232.76.165]:40699)
	by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <srs@HIDDEN>)
	id 1Q8CpH-0007hs-6B
	for submit <at> debbugs.gnu.org; Fri, 08 Apr 2011 10:38:19 -0400
Received: from [140.186.70.92] (port=43528 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1Q8Cp3-0005LT-2n
	for bug-libtool@HIDDEN; Fri, 08 Apr 2011 10:38:18 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <srs@HIDDEN>) id 1Q8Cor-0007NK-Gi
	for bug-libtool@HIDDEN; Fri, 08 Apr 2011 10:37:59 -0400
Received: from smtp-2.sys.kth.se ([130.237.32.160]:55602)
	by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <srs@HIDDEN>)
	id 1Q8Cor-0007MG-7o
	for bug-libtool@HIDDEN; Fri, 08 Apr 2011 10:37:53 -0400
Received: from mailscan-1.sys.kth.se (mailscan-1.sys.kth.se [130.237.32.91])
	by smtp-2.sys.kth.se (Postfix) with ESMTP id 99ECD14DCA1;
	Fri,  8 Apr 2011 16:37:51 +0200 (CEST)
X-Virus-Scanned: by amavisd-new at kth.se
Received: from smtp-2.sys.kth.se ([130.237.32.160])
	by mailscan-1.sys.kth.se (mailscan-1.sys.kth.se [130.237.32.91])
	(amavisd-new, port 10024)
	with LMTP id 8JjIHGc2oy2I; Fri,  8 Apr 2011 16:37:50 +0200 (CEST)
X-KTH-Auth: srs [130.237.20.66]
X-KTH-mail-from: srs@HIDDEN
Received: from [130.237.20.66] (s1499.it.kth.se [130.237.20.66])
	by smtp-2.sys.kth.se (Postfix) with ESMTP id 9696114C113;
	Fri,  8 Apr 2011 16:37:49 +0200 (CEST)
Subject: Update: Re: Updated patches: Re: bug#8441: Patches making
	libtool-2.4-1 build under GNU/Hurd
From: Svante Signell <srs@HIDDEN>
To: Ralf Wildenhues <Ralf.Wildenhues@HIDDEN>, Kurt Roeckx <kurt@HIDDEN>
In-Reply-To: <1302246116.26044.12.camel@HIDDEN>
References: <1302193460.32453.172.camel@HIDDEN>
	<20110407180632.GB30379@HIDDEN>
	<1302200455.32453.184.camel@HIDDEN>
	<20110407182433.GC30379@HIDDEN>
	<1302246116.26044.12.camel@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Organization: KTH
Date: Fri, 08 Apr 2011 16:37:48 +0200
Message-ID: <1302273468.32453.206.camel@HIDDEN>
Mime-Version: 1.0
X-Mailer: Evolution 2.32.2 
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6, seldom 2.4 (older,
	4)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-Received-From: 199.232.76.165
X-Spam-Score: -6.6 (------)
X-Debbugs-Envelope-To: submit
Cc: bug-libtool@HIDDEN, 8441 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
Reply-To: srs@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.6 (------)

On Fri, 2011-04-08 at 09:01 +0200, Svante Signell wrote:
> On Thu, 2011-04-07 at 20:24 +0200, Ralf Wildenhues wrote:
> > * Svante Signell wrote on Thu, Apr 07, 2011 at 08:20:55PM CEST:
> > > On Thu, 2011-04-07 at 20:06 +0200, Ralf Wildenhues wrote:
> > > > > --- libtool-2.4/tests/cmdline_wrap.at.orig	2010-05-20 23:18:41.000000000 +0200
> > > > > +++ libtool-2.4/tests/cmdline_wrap.at	2011-02-06 11:08:29.000000000 +0100
> > > > > @@ -30,6 +30,9 @@
> > 
> > > > > +# Setting low max_cmd_len on "hurd-386" does not make sense"
> > > > > +AT_CHECK([if test "$host_os" == "gnu" ; then exit 77; fi])
> > > > 
> > > > Please use = not ==, the former is Posix test, the latter bash-specific.
> > > 
> > > OK, do you want me to send an update?
> >
> > I can't speak for Kurt, I only help maintain upstream.  ;-)
> 
> Updated!
> 
> > > > Does this test actually fail on hurd-i386, or is this just because you
> > > > consider it wasted time?  In the former case, please send the patch
> > > > upstream but also show a cut-n-paste of the failing test log.
> > > 
> > > Yes, this test fails without the patch. I'll build an unpatched version
> > > and submit the failing test log.

I was wrong about the cmdline_wrap.at build failure, supplied in
disable_cmdline_wrap4hurd.patch. Without the patch libtool built fine:
The test 112 (and 106) failures was fixed by the updated
link_all_deplibs.patch. Sorry about that, but building (and especially
testing) libtool takes a very long time for each patch change in my qemu
VM.





Acknowledgement sent to srs@HIDDEN:
New bug report received and forwarded. Copy sent to bug-libtool@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-libtool@HIDDEN:
bug#8444; Package libtool. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.